# Update

The update container contains the following files:

* `Update.md`: Informations and instructions
* `Changelog-libperiCORE-22.md`: Version history of the used `libperiCORE`
* `Changelog-periNODE-GPIO-22.md`: Version history of the GPIO application
* `update_periNODE-GPIO-periCORE4-armv7_r-22.update.img.signed`: Firmware update file

## Update procedure

### Web User Interface

Open the `Firmware update` tab of the periNODE
(https://periNODE-<sernm>.local./) within it's web user interface, Choose the
`update_periNODE-GPIO-22.zip` or
zip:`update_periNODE-GPIO-periCORE4-armv7_r-22.update.img.signed`
file and click on the `Upload file` button.

### API

Updating a *periNODE* with it's API interface has two different flavours depending if the node is already member of a secured application.

#### Unsecured

```sh
curl -X PUT --data-binary '@./update_periNODE-GPIO-periCORE4-armv7_r-22.update.img.signed' https:/periNODE-<serial_number>.local/update
```

#### Secured

```sh
curl --cacert ~/Downloads/PKI2go/demo-root-ca.crt --cert-type P12 --key ~/Downloads/PKI2go/admin_pki_container.p12:admin_pki_container --cert ~/Downloads/PKI2go/admin_pki_container.p12:admin_pki_container -X PUT --data-binary '@./update_periNODE-GPIO-periCORE4-armv7_r-22.update.img.signed' https:/periNODE-<serial_number>.local/update
```
